#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef long double ld;

int ima[2000005];

int main(){
    ios_base::sync_with_stdio(false), cin.tie(0);
    cout.precision(10);
    cout << fixed;

    int n, k;
    cin >> n >> k;
    int cnt = 0;
    for(int i=1; i<=n; i++){
        int x;
        cin >> x;
        ima[x+1000000]++;
        if(ima[x+1000000] == k){
            cnt++;
        }
    }
    cout << cnt << "\n";
    for(int i=-n; i<=n; i++){
        if(ima[i+1000000] >= k) cout << i << " ";
    }
    return 0;
}